cURL
curl --request POST \
--url https://api.useanima.sh/v1/vault/generate-password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agentId": "<string>",
"length": 66,
"uppercase": true,
"lowercase": true,
"number": true,
"special": true
}
'import requests
url = "https://api.useanima.sh/v1/vault/generate-password"
payload = {
"agentId": "<string>",
"length": 66,
"uppercase": True,
"lowercase": True,
"number": True,
"special": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agentId: '<string>',
length: 66,
uppercase: true,
lowercase: true,
number: true,
special: true
})
};
fetch('https://api.useanima.sh/v1/vault/generate-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"password": "<string>"
}API Reference
Post vaultgenerate password
POST
/
vault
/
generate-password
cURL
Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Body
application/json
Input for generating a random password
Agent identifier. Optional when using an agent API key (resolved automatically); required when using a master key.
Pattern:
^[0-9a-z]+$Desired password length (4-128 characters)
Required range:
4 <= x <= 128Include uppercase letters
Include lowercase letters
Include numeric digits
Include special characters
Response
200 - application/json
OK
Generated password result
The generated password
⌘I
